	parameter (nx=80, ny=23)
	character*1 a(ny,nx)
	character*6 cc
	character*1 bb(6)
	equivalence (cc,bb(1))
	open (unit=1,file='a')
	do 2 k=1,nx
	do 2 i=1,ny
2	a(i,k)= ' '
	do 1 k=1,nx
	a(ny/2+1,k)='_'
1	continue
	do 11 i=1,ny
11	a(i,1)='|'
	do 21 k=1,nx
	x= 6.28/nx*(k-1)
	
	y= f1(x)
	nny=y*11-(ny/2+1)
	a(nny,k)='*'

	y1= f2(X)
	nny=y1*11-(ny/2+1)
	a(nny,k)='+'


21	continue
	xn = 0.1
	write(cc,30)xn
30	format (f6.2)
	write(*,32)cc

	
32	format (6a1)
	do 31 k=1,6
31	a(ny/2+2,k)=bb(k)
	do 22 k=1,ny
	write(1,23) (a(k,i), i=1,nx)
23	format(1x,80a1)
22	continue
	close(unit=1)
	end


	function f1(x)
	f1=-cos(x)
	end
	function f2(x)
	f2=-(x**(0.5)-4)
	end
